ubuntu-location-service: core::dbus::Codec< com::ubuntu::location::Criteria > Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Static Public Member Functions | List of all members
core::dbus::Codec< com::ubuntu::location::Criteria > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::ubuntu::location::Criteria >:

## Public Types
typedef com::ubuntu::location::units::Quantity< com::ubuntu::location::units::Length > | HorizontalAccuracy
typedef com::ubuntu::location::units::Quantity< com::ubuntu::location::units::Length > | VerticalAccuracy
typedef com::ubuntu::location::units::Quantity< com::ubuntu::location::units::Velocity > | VelocityAccuracy
typedef com::ubuntu::location::units::Quantity< com::ubuntu::location::units::PlaneAngle > | HeadingAccuracy

## Static Public Member Functions
static void | encode_argument (Message::Writer &writer, const com::ubuntu::location::Criteria &in)
static void | decode_argument (Message::Reader &reader, com::ubuntu::location::Criteria &in)

## Detailed Description

Definition at line 357 of file codec.h.

## Member Typedef Documentation

## ◆ HeadingAccuracy

typedef com::ubuntu::location::units::Quantity<com::ubuntu::location::units::PlaneAngle> core::dbus::Codec< com::ubuntu::location::Criteria >::HeadingAccuracy

Definition at line 362 of file codec.h.

## ◆ HorizontalAccuracy

typedef com::ubuntu::location::units::Quantity<com::ubuntu::location::units::Length> core::dbus::Codec< com::ubuntu::location::Criteria >::HorizontalAccuracy

Definition at line 359 of file codec.h.

## ◆ VelocityAccuracy

typedef com::ubuntu::location::units::Quantity<com::ubuntu::location::units::Velocity> core::dbus::Codec< com::ubuntu::location::Criteria >::VelocityAccuracy

Definition at line 361 of file codec.h.

## ◆ VerticalAccuracy

typedef com::ubuntu::location::units::Quantity<com::ubuntu::location::units::Length> core::dbus::Codec< com::ubuntu::location::Criteria >::VerticalAccuracy

Definition at line 360 of file codec.h.

## Member Function Documentation

## ◆ decode_argument()

static void core::dbus::Codec< com::ubuntu::location::Criteria >::decode_argument | ( | Message::Reader & | reader,
|  | com::ubuntu::location::Criteria & | in
| ) |  |
| inlinestatic

Definition at line 377 of file codec.h.

References com::ubuntu::location::Criteria::accuracy, com::ubuntu::location::Criteria::Requires::altitude, com::ubuntu::location::Criteria::Requires::heading, com::ubuntu::location::Criteria::Accuracy::heading, com::ubuntu::location::Criteria::Accuracy::horizontal, com::ubuntu::location::Criteria::Requires::position, com::ubuntu::location::Criteria::requires, com::ubuntu::location::Criteria::Requires::velocity, com::ubuntu::location::Criteria::Accuracy::velocity, and com::ubuntu::location::Criteria::Accuracy::vertical.

## ◆ encode_argument()

static void core::dbus::Codec< com::ubuntu::location::Criteria >::encode_argument | ( | Message::Writer & | writer,
|  | const com::ubuntu::location::Criteria & | in
| ) |  |
| inlinestatic

Definition at line 364 of file codec.h.

References com::ubuntu::location::Criteria::accuracy, com::ubuntu::location::Criteria::Requires::altitude, com::ubuntu::location::Criteria::Requires::heading, com::ubuntu::location::Criteria::Accuracy::heading, com::ubuntu::location::Criteria::Accuracy::horizontal, com::ubuntu::location::Criteria::Requires::position, com::ubuntu::location::Criteria::requires, com::ubuntu::location::Criteria::Requires::velocity, com::ubuntu::location::Criteria::Accuracy::velocity, and com::ubuntu::location::Criteria::Accuracy::vertical.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/codec.h